## tightvnc 1.3.9

=== debian/changelog ===
tightvnc (1.3.9-6.4ubuntu1) trusty; urgency=medium

  * Add arm64 support.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Mar 2014 14:50:14 +0000

tightvnc (1.3.9-6.4) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: update Build-Depends:
    - libjpeg62-dev -> libjpeg-dev transition (Closes: #644967)
  * debian/rules:
   - do not add useless config.sub/config.guess
   - remove generated makefiles
   - Fix FTBFS due to broken dpkg.  (Closes: #642768)
   - remove useless patch debian-changes-1.3.9-6.2

 -- Bill Allombert <ballombe@debian.org>  Thu, 07 Jun 2012 00:01:17 +0200

tightvnc (1.3.9-6.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add Makefile and Xvnc/Makefile to dh_clean parameters. (Closes: #663566)

 -- Mònica Ramírez Arceda <monica@probeta.net>  Wed, 21 Mar 2012 10:55:32 +0100

tightvnc (1.3.9-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add support Renesas SH (Closes: #582340).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 11 Mar 2011 22:43:47 +0900

tightvnc (1.3.9-6.1) unstable; urgency=low

  * Non-maintainer upload.
    - Update to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): Update xutils to xutils-dev (important;
      Closes: #575865). Update to debhelper 7.1. Remove obsolete x-dev.
    - (Depends): Add ${misc:Depends}.
    - (Homepage): New field.
    - (Standards-Version): Update to 3.8.4.
    - (tightvncserver::Depends): Replace obsolete xbase-clients with
      x11-utils and xauth. The needed binaries xdpyinfo and xauth
      are used in Perl program /usr/bin/tightvncserver.
  * debian/copyright
    - Point to GPL-2.
  * debian/patches
    - (10, 20): Add new patches.
    - (30): Convert original MIPS patch to apply to current sources.
    - (tightvnc-ftbfs-mips.patch): Removed. See 30.
   * debian/*.{postrm,prerm}
    - Add "set -e".
    - Fix Lintian maintainer-script-without-set-e.
  * debian/rules
    - (CC): Add. Export variable for xmkmf(1).
    - (DH_COMPAT): Delete; use debian/compat.
    - (install): Correct tightvncpasswd.1x to tightvncpasswd.1.
    - (binary-arch): Remove empty directories.
  * debian/source/format
    - New file.
  * debian/watch
    - New file.
  * debian/tightvncserver.doc-base
    - New file.
  * debian/xtightvncviewer.menu
    - (section): Update obsolete Apps/Net to
      Applications/Network/Communication.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 13 May 2010 11:02:08 +0300

tightvnc (1.3.9-6) unstable; urgency=low

  * Applied patch for sparc that solves the problem that everything is
    mirrored on sparc. Thanks to Raúl Porcel <armin76@gentoo.org> for
    pointing out that this patch needs to be re-added.
  * Applied patch for GNU/kFreeBSD to fix socket handling problem.
    Closes: #500414. Thanks to "Diego Ongaro" <ongardie@gmail.com> for the
    patch.
  * Updated to use x11proto-dev instead of x-dev as build dependency.
    Closes: #515397.
  * Changed log directory from /usr/adm to /var/log. Closes: #500877.

 -- Ola Lundqvist <opal@debian.org>  Thu, 19 Nov 2009 21:46:00 +0100

tightvnc (1.3.9-5) unstable; urgency=low

  * Fix for the default xstartup to make gnome work. Closes: #476727.

 -- Ola Lundqvist <opal@debian.org>  Wed, 07 Oct 2009 18:39:34 +0200

tightvnc (1.3.9-4) unstable; urgency=low

  * Updated man path in build system.
    Xvnc/config/cf/svr3.cf
    Xvnc/config/cf/Imake.tmpl
  * Merged some code from 1.2.9 version in order to build properly on IA64.
    Closes: #483094. This changes some other minors things and also help build
    on Mipsel and hppa architecture.

 -- Ola Lundqvist <opal@debian.org>  Wed,  4 Jun 2008 08:17:28 +0200

tightvnc (1.3.9-3) unstable; urgency=low

  * Applied patch from Thiemo Seufer <ths@networkno.de> to make it build
    fine on mips and mipsel architecture, closes: #481444.

 -- Ola Lundqvist <opal@debian.org>  Sat, 17 May 2008 17:36:05 +0200

tightvnc (1.3.9-2) unstable; urgency=low

  * Now ships Vncviewer resources file, closes: #481274. Thanks to Ian
    Wienand <ianw@ieee.org> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Thu, 15 May 2008 20:55:20 +0200

tightvnc (1.3.9-1) unstable; urgency=low

  * New upstream release.
    Closes: #424077, #434240.
    This new release corrects a number of known problems:
     - tightvncconnect no longer make Xtightvnc crash (closes: #422361)
     - Control|Shift + Click is now sent properly (closes: #173701)
     - No input starvation (closes: #218401)
     - No errors when connecting from WinXP (closes: #281702)
     - Default path correction (closes: #365593)
     - The problematic DEBUG statement no longer exists (closes: #374273)
     - No longer use raw encoding for ssh tunnels (closes: #423091)
  * Updated vncserver script to allow .vnc directory as symlink.
    Closes: #411187.
  * Corrected link to broken homepage, closes: #345368.
  * Now uses /etc/X11/Xsession as default x init script, closes: #378573.
  * Applied patch from Paul Brook <paul@nowt.org> to make it build on
    arm architecture, closes: #464797.
  * Applied patch from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to
    make it build on GNU/kFreeBSD, closes: #415611.
  * Dropped pre-depends on dpkg.

 -- Ola Lundqvist <opal@debian.org>  Sun, 23 Mar 2008 00:36:15 +0100

tightvnc (1.2.9-22) unstable; urgency=low

  * Removed dependency on vnc-common. Vncpasswd is now part of the
    tightvncserver package. This means that there are no dependency on other
    vnc packages anymore.

 -- Ola Lundqvist <opal@debian.org>  Tue,  4 Mar 2008 08:21:14 +0100

tightvnc (1.2.9-21) unstable; urgency=low

  * Applied patch from Jari Aalto <jari.aalto@cante.net> to make options
    be displayed in correct order in manpage, closes: #394833.

 -- Ola Lundqvist <opal@debian.org>  Sun, 19 Nov 2006 10:02:20 +0100

tightvnc (1.2.9-20) unstable; urgency=low

  * Removed patch to be able to set maxclients to 1000 instead of

