=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

export CC = gcc

configure: config-stamp
config-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CC=$(CC) xmkmf
	(cd Xvnc; CC=$(CC) xmkmf)
	(cd Xvnc; ./configure)
	#./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	#	--prefix=/usr \
	#	--mandir=\$${prefix}/share/man \
	#	--infodir=\$${prefix}/share/info \
	#	--localstatedir=/var \
	#	--with-installed-zlib \
	#	--with-x
	touch config-stamp

build-arch: config-stamp build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	# Build first things.
	$(MAKE) World
	# Build Xvnc
	(cd Xvnc; $(MAKE) World)

	lynx -dump debian/faq.html   | sed 's,file://.*/,,' > debian/faq.txt
	lynx -dump debian/start.html | sed 's,file://.*/,,' > debian/start.txt

	touch build-arch-stamp

build-indep: config-stamp  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/vnc.sgml > vnc.1

	touch build-indep-stamp

build: build-arch build-indep

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp config-stamp
	rm -f debian/faq.txt debian/start.txt

	xmkmf
	(cd Xvnc; xmkmf)
	# Add here commands to clean up after the build process.
	-rm -f config.log config.status config.cache
	[ -f Makefile ] || $(MAKE) distclean
	[ -f Makefile ] || $(MAKE) clean

	-(cd Xvnc; $(MAKE) clean)
	-(cd Xvnc/programs/Xserver; $(MAKE) clean)
	-find . -type f -a -name "*.o" | xargs rm -f {}
	-find . -type f -a -name "*.a" | xargs rm -f {}
	rm -f vncpasswd/vncpasswd vncconnect/vncconnect vncviewer/vncviewer
	rm -f vncpasswd/Makefile vncviewer/Makefile vncviewer/vncviewer._man
	rm -f vncconnect/Makefile libvncauth/Makefile

	#-rm Xvnc/programs/Xserver/*fb*/*.{c,h}
	#-rm Xvnc/programs/Xserver/Xvnc
	#-find . -type f -a -name Makefile -a ! -path '*Xvnc/Makefile' \
	#	-exec rm -f '{}' ';'
	-rmdir Xvnc/exports
	# Extra clean targets
	find Xvnc -name "Makefile" | grep -v Xvnc/Makefile | xargs rm -f
	-rm -f \
		Xvnc/config/cf/platform.def

	dh_clean Xvnc/xmakefile \
		Xvnc/config/cf/host.def \
		Xvnc/config/imake/Makefile.proto \
		Makefile \
		Xvnc/Makefile

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/vnc.
	#$(MAKE) install prefix=$(CURDIR)/debian/vnc/usr
#	mkdir -p $(CURDIR)/debian/tmp
#	./vncinstall $(CURDIR)/debian/tmp/
# tightvncpasswd
	install -o root -g root -m 755 vncpasswd/vncpasswd \
		$(CURDIR)/debian/tightvncserver/usr/bin/tightvncpasswd
	install -o root -g root -m 644 vncpasswd/vncpasswd.man \
		$(CURDIR)/debian/tightvncserver/usr/share/man/man1/tightvncpasswd.1
# tightvncserver
	install -o root -g root -m 755 Xvnc/programs/Xserver/Xvnc \
		$(CURDIR)/debian/tightvncserver/usr/bin/Xtightvnc
	install -o root -g root -m 755 vncserver \
		$(CURDIR)/debian/tightvncserver/usr/bin/tightvncserver
	install -o root -g root -m 755 vncconnect/vncconnect \
		$(CURDIR)/debian/tightvncserver/usr/bin/tightvncconnect
	install -o root -g root -m 644 vncserver.man \
		$(CURDIR)/debian/tightvncserver/usr/share/man/man1/tightvncserver.1
	install -o root -g root -m 644 vncconnect/vncconnect.man \
		$(CURDIR)/debian/tightvncserver/usr/share/man/man1/tightvncconnect.1
	install -o root -g root -m 644 Xvnc/programs/Xserver/Xvnc.man \
		$(CURDIR)/debian/tightvncserver/usr/share/man/man1/Xtightvnc.1

# libvncauth0
#	install -o root -g root -m 644 rfb/libvncauth.so.0.0 \
#		$(CURDIR)/debian/libvncauth0/usr/lib

# libvncauth-dev
	# Now moved to rfb dir.
	#install -o root -g root -m 644 include/* \
	#	$(CURDIR)/debian/libvncauth-dev/usr/include
#	install -o root -g root -m 644 rfb/libvncauth.a \
#		$(CURDIR)/debian/libvncauth-dev/usr/lib

# xtightvncviewer
	install -o root -g root -m 755 vncviewer/vncviewer \
		$(CURDIR)/debian/xtightvncviewer/usr/bin/xtightvncviewer
	install -o root -g root -m 644 vncviewer/Vncviewer \
		$(CURDIR)/debian/xtightvncviewer/etc/X11/app-defaults/Vncviewer
	install -o root -g root -m 644 vncviewer/vncviewer.man \
		$(CURDIR)/debian/xtightvncviewer/usr/share/man/man1/xtightvncviewer.1

#	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

binary-indep-keep:
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
	dh_installcron -i
#	dh_installman -i
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	# Remove empty directories
	rmdir $(CURDIR)/debian/tightvncserver/usr/share/man/man5 \
	      $(CURDIR)/debian/tightvncserver/usr/share/vncserver
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
