## tightvnc 1.3.9.1

=== debian/changelog ===
tightvnc (1:1.3.9.1-1+dde) unstable; urgency=medium

  * update

 -- Ola Lundqvist <opal@debian.org>  Thu, 15 Jul 2021 15:42:05 +0800

tightvnc (1:1.3.9.1-1+dde) unstable; urgency=high

  * Security upload
  * CVE-2014-6053: Check malloc() return value on client->server ClientCutText
    message.
  * CVE-2019-8287 (aka CVE-2018-20020): Fix heap out-of-bound write
    vulnerability inside structure in VNC client code.
  * CVE-2018-20021: CWE-835: Infinite loop vulnerability in VNC client code.
  * CVE-2018-20022: CWE-665: Improper Initialization vulnerability.
  * CVE-2018-7225: Uninitialized and potentially sensitive data could be
    accessed by remote attackers because the msg.cct.length in rfbserver.c was
    not sanitized.
  * CVE-2019-15678: LibVNCClient: ignore server-sent cut text longer than 1MB.
  * Extra patch similar to the fix for CVE-2019-15678: LibVNCClient: ignore
    server-sent reason strings longer than 1MB (see CVE-2018-20748/
    libvncserver).
  * CVE-2019-15679: rfbproto.c/InitialiseRFBConnection: Check desktop name
    length received before allocating memory for it and limit it to 1MB.
  * CVE-2019-15680: Fix null-pointer-deref issue in vncviewer/zlib.c.
  * CVE-2019-15681: rfbserver: don't leak stack memory to the remote.

 --  Tang Haixiang <tanghaixiang@uniontech.com>  Wed, 12 May 2021 14:08:13 +0800

tightvnc (1:1.3.9-9) unstable; urgency=high

  * Reverted the transition. Tigervnc is not ready for being a full
    replacement of tightvnc. Closes: #851935.

 -- Ola Lundqvist <opal@debian.org>  Fri, 27 Jan 2017 22:05:03 +0100

tightvnc (1.3.9+t-1) unstable; urgency=high

  * Made the package a transitional package to ensure tigervnc is installed
    as a replacement.

 -- Ola Lundqvist <opal@debian.org>  Sat, 07 Jan 2017 23:11:40 +0100

tightvnc (1.3.9-8) unstable; urgency=medium

  * Applied patch from Dann Frazier <dannf@debian.org> and
    Riku Voipio <riku.voipio@linaro.org> to make sure Xvnc
    do not crash on arm64. Closes: #769364.

 -- Ola Lundqvist <opal@debian.org>  Sun, 19 Jun 2016 13:19:37 +0200

tightvnc (1.3.9-7) unstable; urgency=medium

  * Applied a patch from upstream to fix a crash. Closes: #782620.

 -- Ola Lundqvist <opal@debian.org>  Sun, 24 Jan 2016 20:22:25 +0100

tightvnc (1.3.9-6.6) unstable; urgency=medium

  * Non-maintainer upload with the maintainer's permission.
  * Add patch from 1.3.10-0ubuntu2 by me for ppc64el support.
    (Closes: 788107)

 -- Lauri Kasanen <cand@gmx.com>  Thu, 08 Oct 2015 09:11:35 +0000

tightvnc (1.3.9-6.5) unstable; urgency=medium

  * Non-maintainer upload with maintainers permission.
  * Add patch from 1.3.9-6.4ubuntu1 by Colin Watson for arm64 support.
    (Closes: 767311)

 -- Peter Michael Green <plugwash@debian.org>  Wed, 29 Oct 2014 21:47:46 +0000
