## tightvnc 1.3.10

=== debian/changelog ===
tightvnc (1:1.3.10-10) unstable; urgency=medium

  * Revert "d/control + d/rules: Force using gcc-15.", effectively bringing
    the changes of version 1:1.3.10-10~exp1 to unstable.

 -- Sven Geuer <sge@debian.org>  Mon, 18 Aug 2025 14:10:37 +0200

tightvnc (1:1.3.10-10~exp2) experimental; urgency=medium

  * d/control + d/rules: Force using gcc-15.

 -- Sven Geuer <sge@debian.org>  Sun, 17 Aug 2025 20:04:39 +0200

tightvnc (1:1.3.10-10~exp1) experimental; urgency=medium

  * d/rules:
    - Extend CFLAGS with -std=gnu90 instead of -fpermissive (Closes: #1097998).
    - Fix a comment.
  * d/p/*:
    - Remove unused -lcrypt from install-makefile-build-system.patch
      (Closes: #1102457).
    - Remove more-arm64-fixes.patch, its functionality is fully covered by
      configure-by-size-width-and-byte-order.patch.
    - Fix DEP-3 headers of CVE-2018-20021.patch, CVE-2018-20022.patch,
      CVE-2019-8287.patch and CVE-2019-15680.patch.
  * d/copyright:
    - In GPL-2+ license, replace GNU postal address by URL.
    - Bump Debian copyright years.
  * d/control: Bump Standards-Version to 4.7.2.

 -- Sven Geuer <sge@debian.org>  Fri, 15 Aug 2025 20:58:36 +0200

tightvnc (1:1.3.10-9) unstable; urgency=medium

  * d/p/install-makefile-build-system.patch:
    - Remove permission of implicit function declaration in favour of d/rules.
  * d/rules:
    - Modify CFLAGS to allow for implicit function declaration.
    - Extend CFLAGS with -fpermissive to allow for builds with GCC-14.
      This measure fixes bug #1075573. It was requested to not close the bug,
      thus no Closes tag here.
  * d/copyright: Update my email address to the d.o one.
  * d/control: Update my email address to the d.o one.
  * d/gbp.conf: Switch debian-branch to debian/unstable.

 -- Sven Geuer <sge@debian.org>  Fri, 05 Jul 2024 22:51:07 +0200

tightvnc (1:1.3.10-8) unstable; urgency=medium

  * Fix typo in Xvnc/programs/Xserver/mfb/Makefile (Closes: #1047359).
    - Update d/p/install-makefile-build-system.patch.
  * d/rules: Make use of execute_before/after_dh_command.
  * Allow for implicit function definitions (Closes: #1066337).
    - Update d/p/install-makefile-build-system.patch.
  * Bump years in d/copyright to 2024 where required.
  * Bump Standards-Version to 4.7.0; no more changes necessary.
  * d/salsa-ci.yml: Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ALL.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Tue, 23 Apr 2024 21:07:37 +0200

tightvnc (1:1.3.10-7) unstable; urgency=medium

  * Fix source name of link to Xvnc's man page alternative (Closes: #1030681).
    - Update d/tightvncserver.postinst.
  * Manage alternatives symlinks related to tightvncpasswd from the respective
    package (Closes: #1030820).
    - Update d/tightvncserver.postinst.
    - Update d/tightvncserver.prerm.
    - Introduce d/tightvncpasswd.postinst.
    - Introduce d/tightvncpasswd.prerm.
    - Update d/control.
  * Bump years in d/copyright to 2023 where required.
  * Bump Standards-Version to 4.6.2; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Thu, 09 Feb 2023 20:17:44 +0100

tightvnc (1:1.3.10-6) unstable; urgency=medium

  * Bump years in d/copyright to 2022 where required.
  * Bump Standards-Version to 4.6.1; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Wed, 26 Oct 2022 15:49:28 +0200

tightvnc (1:1.3.10-5) unstable; urgency=medium

  * Utilize dh_install and dh-exec instead of installing files explicitly
    in d/rules per override_dh_auto_install.
    - Add dh-exec to Build-Depends.
    - Introduce d/tightvncserver.install.
    - Introduce d/xtightvncviewer.install.
    - Remove d/tightvncserver.dirs.
    - Remove d/xtightvncviewer.dirs.
    - Remove override_dh_auto_install section from d/rules.
  * Split off tightvncpasswd as a package of its own and recommend it for
    xtightvncviewer (Closes: #598395).
    - Introduce d/tightvncpasswd.install.
    - Update d/tightvncserver.install.
    - Update tightvncserver's Depends.
    - Update xtightvncviewer's Recommends.
  * Fix buildd log scanner error pointer-trouble-at-implicit.
    - Update d/p/install-makefile-build-system.patch.
  * Remove the unsupported X resource userLogin from the manual page of
    xtightvncviewer.
    - Update d/p/vncviewer.man.patch.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Mon, 04 Oct 2021 08:40:52 +0200

tightvnc (1:1.3.10-4) unstable; urgency=medium

  * Bring the makefile based build system from experimental to unstable
    (Closes: #697062, #731496).
  * Remove the unsupported -user option from the manual page of
    xtightvncviewer (Closes: #542426, #674068).
  * Rename d/p/20-vncviewer--vncviewer.man.patch to d/p/vncviewer.man.patch.
  * Bump Standards-Version to 4.6.0; no more changes necessary.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Sat, 28 Aug 2021 22:18:21 +0200

tightvnc (1:1.3.10-4~exp2) experimental; urgency=medium

  * Remove upstream's imake build system and all related patches.
    - Introduce remove-upstream-build-system.patch.
    - Remove 30-ftbfs-mips.patch.
    - Update debian-changes-1.3.9-6.1.patch.
    - Remove aarch64.patch.
    - Update ppc64el.patch.
    - Remove fix-deprecated_BSD+SVID-option.patch.
    - Remove no-stipple.patch.
    - Remove ftbfs-with-binutils-236.patch.
  * Introduce a patch holding the makefiles introduced with tightvnc
    1:1.3.10-3~exp1.
    - Create install-makefile-build-system.patch.
    - Remove debian/makefiles tree.
  * Remove imake support from d/rules.

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Thu, 15 Jul 2021 19:01:54 +0200

tightvnc (1:1.3.10-4~exp1) experimental; urgency=medium

  * Reapply changes from 1:1.3.10-3~exp1 and 1:1.3.10-3~exp2.
  * Fix FTBFS with architecture hurd-i386 further. The previous fix
    did not suffice.
    - Update d/p/ftbfs-hurd-i386.patch.
  * Rework makefiles to allow for parallel execution of make.
  * Update d/rules.
    - Run dh_auto_build in parallel mode.

