=== debian/control ===
--- 
+++ 
@@ -1,17 +1,43 @@
 Source: tightvnc
+Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Uploaders: Sven Geuer <sge@debian.org>,
 Section: x11
 Priority: optional
-Maintainer: Ola Lundqvist <opal@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>> 7.1), lynx, zlib1g-dev, libjpeg-dev, libxaw7-dev (>> 4.1.0), perl, xfonts-base, xutils-dev, libx11-dev, libxau-dev, libxext-dev, libxi-dev, libxkbfile-dev, libxmu-dev, libxt-dev, x11proto-core-dev
-Homepage: http://www.tightvnc.com
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
+               libjpeg-dev,
+               libx11-dev,
+               libxau-dev,
+               libxaw7-dev (>> 4.1.0),
+               libxext-dev,
+               libxi-dev,
+               libxkbfile-dev,
+               libxmu-dev,
+               libxt-dev,
+               lynx,
+               x11proto-core-dev,
+               xfonts-base,
+               zlib1g-dev,
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian-remote-team/tightvnc
+Vcs-Git: https://salsa.debian.org/debian-remote-team/tightvnc.git
+Homepage: https://www.tightvnc.com
 
 Package: tightvncserver
 Architecture: any
-Provides: xserver, vnc-server
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, x11-common | xserver-common, x11-utils, xauth
-Recommends: xfonts-base, x11-xserver-utils
-Suggests: tightvnc-java
+Provides: vnc-server,
+          xserver,
+Depends: tightvncpasswd (>= 1:1.3.10-7),
+         x11-common | xserver-common,
+         x11-utils,
+         xauth,
+         ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends},
+Recommends: x11-xserver-utils,
+            xfonts-base,
+Suggests: tightvnc-java,
 Description: virtual network computing server software
  VNC stands for Virtual Network Computing. It is, in essence, a remote
  display system which allows you to view a computing `desktop' environment
@@ -33,10 +59,14 @@
 
 Package: xtightvncviewer
 Architecture: any
-Provides: vncviewer, vnc-viewer
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: xfonts-base
-Suggests: tightvncserver, ssh
+Provides: vnc-viewer,
+          vncviewer,
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: tightvncpasswd (>= 1:1.3.10-7),
+            xfonts-base,
+Suggests: ssh,
+          tightvncserver,
 Description: virtual network computing client software for X
  VNC stands for Virtual Network Computing. It is, in essence, a remote
  display system which allows you to view a computing `desktop' environment
@@ -53,3 +83,18 @@
  support jpeg or zlib encoding it can use the default one. Later versions of
  xvncviewer (> 3.3.3r2) support a new automatic encoding that should be equally
  good as the tightvnc encoding.
+
+Package: tightvncpasswd
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Replaces: tightvncserver (<< 1:1.3.10-7)
+Breaks: tightvncserver (<< 1:1.3.10-7)
+Description: virtual network computing password tool
+ VNC stands for Virtual Network Computing. It is, in essence, a remote
+ display system which allows you to view a computing `desktop' environment
+ not only on the machine where it is running, but from anywhere on the
+ Internet and from a wide variety of machine architectures.
+ .
+ This package provides the vncpasswd tool mandatory for the tightvncserver
+ and optional for the xtightvncviewer.
