=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*tightvnc-([\d.]+)_unixsrc\.tar\.gz/tightvnc-$1.tar.gz/ \
https://www.tightvnc.com/download-old.php \
.*tightvnc-([\d.]+)_unixsrc\.tar\.gz
